## snapd-glib 1.49

=== debian/changelog ===
snapd-glib (1.49-0ubuntu0.16.04.2) xenial-security; urgency=medium

  * No change rebuild in support of pulseaudio security update (LP: 1877102)

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 06 May 2020 21:29:27 +0000

snapd-glib (1.49-0ubuntu0.16.04.1) xenial; urgency=medium

  * debian/control:
    - Change snapd recommends to suggests (LP: #1856196)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 13 Dec 2019 15:38:02 +1300

snapd-glib (1.49-0ubuntu0.16.04.0) xenial; urgency=medium

  * New upstream release (LP: #1836691)
  * debian/patches/0001-Use-a-fraction-in-Json-tests-with-a-double-value.patch:
    - Fix test case on older version of json-glib

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 23 Jul 2019 15:27:07 +1200

snapd-glib (1.47-0ubuntu0.16.04.0) xenial; urgency=medium

  * New upstream release (LP: #1818766)
  * debian/rules:
    - Build with --enable-installed-tests
  * debian/tests/control:
  * debian/tests/unit:
  * debian/snapd-glib-tests.install:
    - Add autopkg tests
  * debian/libsnapd-glib1.symbols:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 06 Mar 2019 15:54:33 +1300

snapd-glib (1.45-0ubuntu0.16.04.1) xenial; urgency=medium

  * New upstream release (LP: #1793298):
    - Remove deprecated snapd-login-service
    - New API:
      - snapd_app_get_common_id
      - snapd_client_get_apps2_sync
      - snapd_client_get_apps2_async
      - snapd_client_get_apps2_finish
      - snapd_client_get_maintenance
      - snapd_client_get_snap_async
      - snapd_client_get_snap_finish
      - snapd_client_get_snap_sync
      - snapd_client_get_snaps_async
      - snapd_client_get_snaps_finish
      - snapd_client_get_snap_sync
      - snapd_maintenance_get_kind
      - snapd_maintenance_get_message
      - snapd_media_get_media_type
      - snapd_media_get_url
      - snapd_media_get_width
      - snapd_media_get_height
      - snapd_snap_get_base
      - snapd_snap_get_common_ids
      - snapd_snap_get_media
      - snapd_snap_get_mounted_from
      - snapd_snap_get_publisher_display_name
      - snapd_snap_get_publisher_id
      - snapd_snap_get_publisher_username
      - snapd_snap_get_publisher_validation
      - snapd_system_information_get_build_id
      - snapd_system_information_get_refresh_hold
      - snapd_system_information_get_refresh_last
      - snapd_system_information_get_refresh_next
      - snapd_system_information_get_refresh_schedule
      - snapd_system_information_get_refresh_timer
      - snapd_system_information_get_sandbox_features
      - SNAPD_ERROR_AUTH_CANCELLED
      - SNAPD_ERROR_NOT_FOUND
      - SNAPD_ERROR_NOT_IN_STORE
      - SNAPD_ERROR_NOT_CLASSIC
      - SNAPD_ERROR_REVISION_NOT_AVAILABLE
      - SNAPD_ERROR_CHANNEL_NOT_AVAILABLE
      - SNAPD_ERROR_NOT_A_SNAP
      - SNAPD_FIND_FLAGS_SCOPE_WIDE
    - Deprecated API:
      - snapd_client_get_apps_sync
      - snapd_client_get_apps_async
      - snapd_client_get_apps_finish
      - snapd_client_list_async
      - snapd_client_list_finish
      - snapd_client_list_sync
      - snapd_login_async
      - snapd_login_finish
      - snapd_login_sync
      - snapd_snap_get_screenshots
    - Fix buffer overflows reading HTTP chunked data
    - Reconnect to snapd if disconnected while trying to send the request
    - Handle short writes to snapd
    - Remove cancelled requests from the request queue.
    - Fix SnapdClient reference leak in each request
    - Fix snapd_snap_match_channel not matching risks correctly
    - Fix progress callback scope annotations
    - Fix double-unref on cancelled requests
    - Support new snap media and mounted-from fields
    - Support filtering when querying apps
    - Support snapd maintenance information
    - Support new error codes
    - GIR annotation fixes
  * debian/libsnapd-glib1.symbols:
    - Updated
  * debian/control:
  * debian/snapd-login-service.install
    - snapd-login-service removed

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 01 Feb 2019 13:04:23 +1300

snapd-glib (1.33-0ubuntu0.16.04.1) xenial; urgency=medium

  * New upstream release: (LP: #1748289)
    * New API:
      - snapd_alias_get_app_auto
      - snapd_alias_get_command
      - snapd_alias_get_app_manual
      - snapd_app_get_active
      - snapd_app_get_desktop_file
      - snapd_app_get_enabled
      - snapd_app_get_snap
      - snapd_change_get_error
      - snapd_channel_get_branch
      - snapd_channel_get_confinement
      - snapd_channel_get_epoch
      - snapd_channel_get_name
      - snapd_channel_get_revision
      - snapd_channel_get_risk
      - snapd_channel_get_size
      - snapd_channel_get_track
      - snapd_channel_get_type
      - snapd_channel_get_version
      - snapd_client_abort_change_async
      - snapd_client_abort_change_finish
      - snapd_client_abort_change_sync
      - snapd_client_get_allow_interaction
      - snapd_client_get_changes_async
      - snapd_client_get_changes_finish
      - snapd_client_get_changes_sync
      - snapd_client_get_change_async
      - snapd_client_get_change_finish
      - snapd_client_get_change_sync
      - snapd_client_get_socket_path
      - snapd_client_login2_async
      - snapd_client_login2_finish
      - snapd_client_login2_sync
      - snapd_client_switch_async
      - snapd_client_switch_finish
      - snapd_client_switch_sync
      - snapd_client_get_users_async
      - snapd_client_get_users_finish
      - snapd_client_get_users_sync
      - snapd_client_alias_async
      - snapd_client_alias_finish
      - snapd_client_alias_sync
      - snapd_client_unalias_async
      - snapd_client_unalias_finish
      - snapd_client_unalias_sync
      - snapd_client_prefer_async
      - snapd_client_prefer_finish
      - snapd_client_prefer_sync
      - snapd_client_get_apps_sync
      - snapd_client_get_apps_finish
      - snapd_client_get_apps_async
      - snapd_client_set_allow_interaction
      - snapd_client_set_socket_path
      - snapd_snap_get_broken


=== debian/control ===
Source: snapd-glib
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Robert Ancell <robert.ancell@canonical.com>
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               gnome-common,
               gtk-doc-tools (>= 1.20),
               intltool (>= 0.35.0),
               libgirepository1.0-dev,
               libglib2.0-dev (>= 2.46),
               libjson-glib-dev (>= 1.1.2),
               libsoup2.4-dev (>= 2.32),
               valac
Homepage: https://launchpad.net/snapd-glib
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/snapd-glib/ubuntu-xenial

Package: libsnapd-glib1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: snapd
Description: GLib snapd library
 Snapd-Glib is a library for accessing the snapd daemon.

Package: gir1.2-snapd-1
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${gir:Depends},
         libsnapd-glib1 (= ${binary:Version})
Description: Typelib file for libsnapd-glib1
 Snapd-Glib is a library for accessing the snapd daemon.

Package: libsnapd-glib-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         libsnapd-glib1 (= ${binary:Version}),
         gir1.2-snapd-1 (= ${binary:Version}),
         libglib2.0-dev,
         libsoup2.4-dev,
         libjson-glib-dev
Description: GLib snapd library (development files)
 Snapd-Glib is a library for accessing the snapd daemon.
 .
 This package contains header files and development information, which
 is useful for building applications that need to communicate with snapd.

Package: snapd-glib-tests
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: GLib snapd library (installed tests)
 Snapd-Glib is a library for accessing the snapd daemon.
 .
 This package contains test programs, designed to be run as part of a
 regression testsuite.

=== debian/rules ===
#!/usr/bin/make -f 

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --libexec=/usr/lib/snapd-glib --enable-gtk-doc --enable-installed-tests

=== debian/watch ===
version=3
https://github.com/snapcore/snapd-glib/releases .*/snapd-glib-([0-9.]+)\.tar\.xz

## snapd-glib 1.54

=== debian/changelog ===
snapd-glib (1.54-1) unstable; urgency=medium

  * New upstream release:
    - Fix snapd-glib pkg-config file not having correct include

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 26 Nov 2019 08:48:56 +1300

snapd-glib (1.52-1) unstable; urgency=medium

  * New upstream release (Closes: #944363)
  * debian/control:
    - Add build-depends on meson
  * debian/rules:
    - Drop autotools configuration
  * debian/snapd-glib-tests.install:
    - Put autopkg tests in multiarch location
  * debian/copyright:
    - Fix version number being incorrect in the LGPL-3 text
    - Update copyright years
  * debian/libsnapd-glib1.symbols:
  * debian/libsnapd-qt1.symbols:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 19 Nov 2019 15:25:12 +1300

snapd-glib (1.46-1) unstable; urgency=medium

  [ Robert Ancell ]
  * New upstream release
  * debian/rules:
    - Build with --enable-installed-tests
  * debian/tests/control, debian/tests/unit,
    debian/snapd-glib-tests.install:
    - Add autopkg tests
  * debian/libsnapd-glib-dev.install, debian/libsnapd-qt-dev.install:
    - Fix Qt .pc file being in wrong package
  * debian/libsnapd-glib1.symbols, debian/libsnapd-qt1.symbols:
    - Updated (Closes: #923906)

  [ Jeremy Bicha ]
  * Add Breaks/Replaces for Qt .pc move

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 05 Mar 2019 00:25:35 -0500

=== debian/control ===
Source: snapd-glib
Section: libs
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@alioth-lists.debian.net>
Uploaders:
 Jeremy Bicha <jbicha@debian.org>,
 Mike Gabriel <sunweaver@debian.org>,
 Robert Ancell <robert.ancell@canonical.com>
Build-Depends: debhelper (>= 10),
               gobject-introspection,
               gtk-doc-tools (>= 1.20),
               libgirepository1.0-dev,
               libglib2.0-dev (>= 2.46),
               libjson-glib-dev (>= 1.2),
               libsoup2.4-dev (>= 2.32),
               meson (>= 0.43.0),
               qtbase5-dev,
               qtdeclarative5-dev,
               valac
Standards-Version: 4.1.1
Homepage: https://github.com/snapcore/snapd-glib
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/snapd-glib.git
Vcs-Browser: https://salsa.debian.org/debian-ayatana-team/snapd-glib

Package: libsnapd-glib1
Architecture: linux-any kfreebsd-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: snapd
Description: GLib snapd library
 snapd-glib is a library to allow GLib based applications access to snapd,
 the daemon that controls Snaps.
 .
 Snaps are 'universal' packages that work across many different Linux
 systems, enabling secure distribution of the latest apps and utilities
 for cloud, servers, desktops and the internet of things.

Package: gir1.2-snapd-1
Section: introspection
Architecture: linux-any kfreebsd-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${gir:Depends},
         libsnapd-glib1 (= ${binary:Version})
Description: Typelib file for libsnapd-glib1
 snapd-glib is a library to allow GLib based applications access to snapd,
 the daemon that controls Snaps.
 .
 Snaps are 'universal' packages that work across many different Linux
 systems, enabling secure distribution of the latest apps and utilities
 for cloud, servers, desktops and the internet of things.
 .
 This package contains introspection data.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: libsnapd-glib-dev
Section: libdevel
Architecture: linux-any kfreebsd-any
Multi-Arch: same
Depends: ${misc:Depends},
         libsnapd-glib1 (= ${binary:Version}),
         gir1.2-snapd-1 (= ${binary:Version}),
         libglib2.0-dev,
         libsoup2.4-dev,
         libjson-glib-dev
Description: GLib snapd library (development files)
 snapd-glib is a library to allow GLib based applications access to snapd,
 the daemon that controls Snaps.
 .
 Snaps are 'universal' packages that work across many different Linux
 systems, enabling secure distribution of the latest apps and utilities
 for cloud, servers, desktops and the internet of things.
 .
 This package contains header files and development information, which
 is useful for building applications that need to communicate with snapd.

Package: libsnapd-qt1
Architecture: linux-any kfreebsd-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: snapd
Description: Qt snapd library
 snapd-glib is a library to allow GLib based applications access to snapd,
 the daemon that controls Snaps.
 .
 Snaps are 'universal' packages that work across many different Linux
 systems, enabling secure distribution of the latest apps and utilities
 for cloud, servers, desktops and the internet of things.
 .
 snapd-qt is a wrapper library for snapd-glib for Qt applications.

Package: qml-module-snapd
Architecture: linux-any kfreebsd-any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Recommends: snapd
Description: Snapd QML module
 snapd-glib is a library to allow GLib based applications access to snapd,
 the daemon that controls Snaps.
 .
 Snaps are 'universal' packages that work across many different Linux
 systems, enabling secure distribution of the latest apps and utilities
 for cloud, servers, desktops and the internet of things.
 .
 This is a QML module for Qt applications to access snapd.

Package: libsnapd-qt-dev
Section: libdevel
Architecture: linux-any kfreebsd-any
Multi-Arch: same
Depends: ${misc:Depends},
         libsnapd-qt1 (= ${binary:Version}),
         qtbase5-dev,
Breaks: libsnapd-glib-dev (<< 1.46)
Replaces: libsnapd-glib-dev (<< 1.46)
Description: Qt snapd library (development files)
 snapd-glib is a library to allow GLib based applications access to snapd,
 the daemon that controls Snaps.
 .
 Snaps are 'universal' packages that work across many different Linux
 systems, enabling secure distribution of the latest apps and utilities
 for cloud, servers, desktops and the internet of things.
 .
 snapd-qt is a wrapper library for snapd-glib for Qt applications.
 .
 This package contains the development files.

Package: snapd-glib-tests
Architecture: linux-any kfreebsd-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: GLib snapd library (installed tests)
 snapd-glib is a library to allow GLib based applications access to snapd,
 the daemon that controls Snaps.
 .
 Snaps are 'universal' packages that work across many different Linux
 systems, enabling secure distribution of the latest apps and utilities
 for cloud, servers, desktops and the internet of things.
 .
 This package contains test programs, designed to be run as part of a
 regression testsuite.

## snapd-glib 1.56

=== debian/changelog ===
snapd-glib (1.56-0ubuntu1) focal; urgency=medium

  * New upstream stable release
    - Fix leak in markdown parser

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 09 Mar 2020 11:37:13 +1300

snapd-glib (1.55-0ubuntu2) focal; urgency=medium

  * debian/control:
    - Change snapd recommends to suggests (LP: #1856196)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 19 Feb 2020 16:06:14 +1300

snapd-glib (1.55-0ubuntu1) focal; urgency=medium

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 19 Feb 2020 15:24:59 +1300

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Recommends: snapd
+Suggests: snapd
 Description: GLib snapd library
  snapd-glib is a library to allow GLib based applications access to snapd,
  the daemon that controls Snaps.
@@ -82,7 +82,7 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Recommends: snapd
+Suggests: snapd
 Description: Qt snapd library
  snapd-glib is a library to allow GLib based applications access to snapd,
  the daemon that controls Snaps.
@@ -97,7 +97,7 @@
 Architecture: linux-any kfreebsd-any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-Recommends: snapd
+Suggests: snapd
 Description: Snapd QML module
  snapd-glib is a library to allow GLib based applications access to snapd,
  the daemon that controls Snaps.

## snapd-glib 1.57

=== debian/changelog ===
snapd-glib (1.57-0ubuntu3) focal; urgency=medium

  * debian/control:
  * debian/rules:
    - Use dh-translations to make translatable

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 16 Apr 2020 14:23:44 +1200

snapd-glib (1.57-0ubuntu2) focal; urgency=medium

  * debian/patches/riscv64-test-timeouts.patch:
    - Add back test timeout patch dropped in last version

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 16 Apr 2020 09:31:36 +1200

snapd-glib (1.57-0ubuntu1) focal; urgency=medium

  * New upstream stable release
  * debian/libsnapd-glib1.symbols:
  * debian/libsnapd-qt1.symbols:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 03 Apr 2020 12:36:41 +1300

snapd-glib (1.56-0ubuntu2) focal; urgency=medium

  * Increase test timeouts for riscv64.

 -- William Grant <wgrant@ubuntu.com>  Sun, 05 Apr 2020 18:56:01 +1000

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
  Mike Gabriel <sunweaver@debian.org>,
  Robert Ancell <robert.ancell@canonical.com>
 Build-Depends: debhelper (>= 10),
+               dh-translations,
                gobject-introspection,
                gtk-doc-tools (>= 1.20),
                libgirepository1.0-dev,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with gir,translations

override_dh_makeshlibs:
	dh_makeshlibs -V -- -c4

## snapd-glib 1.58

=== meson_options.txt ===
option('introspection',
       type: 'boolean', value: true,
       description: 'Build the introspection data (requires gobject-introspection)')
option('docs',
       type: 'boolean', value: true,
       description: 'Build the API reference (requires gtk-doc)')
option('vala-bindings',
       type: 'boolean', value: true,
       description: 'Build the Vala bindings (requires introspection)')
option('qt-bindings',
       type: 'boolean', value: true,
       description: 'Build the Qt bindings')
option('qml-bindings',
       type: 'boolean', value: true,
       description: 'Build the QML bindings (requires the Qt bindings)')

=== debian/changelog ===
snapd-glib (1.58-4) UNRELEASED; urgency=medium

  * update

 -- Ayatana Packagers <pkg-ayatana-devel@alioth-lists.debian.net>  Mon, 06 Jun 2022 18:28:31 +0800

snapd-glib (1.58-4) unstable; urgency=medium

  * debian/rules:
    + Typo fix in debhelper arguoment.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 04 Feb 2021 21:53:41 +0100

snapd-glib (1.58-3) unstable; urgency=medium

  * debian/libsnapd-qt1.symbols:
    + Update for armel and armhf.
  * debian/rules:
    + Avoid running unit tests in parallel.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 04 Feb 2021 16:47:21 +0100

snapd-glib (1.58-2) unstable; urgency=medium

  * debian/libsnapd-qt1.symbols:
    + Re-create with pkgkde-symbolshelper tool. With the downside of starting
      afresh at 1.58 for all symbols.
  * debian/patches:
    + Drop reproducible.patch. Not required for 1.58, it seems. Patch seems
      to be applied upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 04 Feb 2021 12:17:35 +0100

snapd-glib (1.58-1) unstable; urgency=medium

  * Team upload.

  [ Robert Ancell ]
  * New upstream release (1.55)
  * debian/libsnapd-glib1.symbols, debian/libsnapd-qt1.symbols:
    - Updated
  * debian/control:
    - Change snapd recommends to suggests

  [ Mike Gabriel ]
  * New upstream release (1.58)
  * debian/control:
    + Add B-D pkg-kde-tools.
    + Bump Standards-Version: to 4.5.1. No changes needed.
  * debian/rules:
    + Enable pkgkde_symbolshelper DH option.
  * debian/libsnapd-qt1.symbols:
    + Update symbols. (Closes: #957822).
  * debian/libsnapd-glib1.symbols:
    + Update symbols.
  * debian/copyright.in:
    + Update auto-generated copyright.in file.

  [ Chris Lamb ]
  * debian/patches:
    + Add reproducible.patch. (Closes: #952694).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 04 Feb 2021 00:12:19 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
  Mike Gabriel <sunweaver@debian.org>,
  Robert Ancell <robert.ancell@canonical.com>
 Build-Depends: debhelper (>= 10),
-               dh-translations,
                gobject-introspection,
                gtk-doc-tools (>= 1.20),
                libgirepository1.0-dev,
@@ -15,10 +14,11 @@
                libjson-glib-dev (>= 1.2),
                libsoup2.4-dev (>= 2.32),
                meson (>= 0.43.0),
+               pkg-kde-tools,
                qtbase5-dev,
                qtdeclarative5-dev,
                valac
-Standards-Version: 4.1.1
+Standards-Version: 4.5.1
 Homepage: https://github.com/snapcore/snapd-glib
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/snapd-glib.git
 Vcs-Browser: https://salsa.debian.org/debian-ayatana-team/snapd-glib

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with gir,pkgkde_symbolshelper

override_dh_auto_test:
	dh_auto_test --no-parallel

override_dh_makeshlibs:
	dh_makeshlibs -V -- -c4

## snapd-glib 1.60

=== debian/changelog ===
snapd-glib (1.60-0ubuntu1) jammy; urgency=medium

  * New upstream release.
  * debian/*.symbols:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 17 Feb 2022 12:45:02 +1300

snapd-glib (1.59-3ubuntu1) jammy; urgency=medium

  * Merge with Debian, remaining Ubuntu changes:
  * debian/rules:
    - Use dh-translations to make translatable
    - Not using pkgkde_symbolshelper
  * debian/control:
    - Set maintainer to Ubuntu.
    - Build-depend on dh-translations, drop pkgkde_symbolshelper
  * debian/libsnapd-qt1.symbols:
    - Use C++ symbol names.

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 17 Feb 2022 12:33:08 +1300

snapd-glib (1.59-3) unstable; urgency=medium

  * debian/libsnapd-qt1.symbols:
    + Update symbols from previous build logs.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 28 Nov 2021 18:39:25 +0100

snapd-glib (1.59-2) unstable; urgency=medium

  * debian/libsnapd-qt1.symbols:
    + Update symbols from previous build logs.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 28 Nov 2021 13:23:29 +0100

snapd-glib (1.59-1) unstable; urgency=medium

  * New upstream release.
  * debian/{control,compat}:
    + Switch to debhelper-compat notation. Bump to DH compat level version 13.
  * debian/control:
    + Bump to Standards-Version: 4.6.0. No changes needed.
    + Add Rules-Requires-Root: field and set it to 'no'.
  * debian/{control,snapd-glib-tests.install}:
    + Make snapd-glib-tests Multi-Archi:foreign (was: same).
  * debian/rules:
    + Add get-orig-source target for maintainers' convenience.
  * debian/{rules,libsnapd-glib-dev.*}:
    + Install gtk-doc files to pkg's documentation folder, register API
      documentation with doc-base.
  * debian/*.symbols:
    + Update .symbols files. (Closes: #997455).
    + Add Build-Depends-Package: metadata field.
  * debian/libsnapd-glib-dev.examples:
    + Add example file.
  * debian/upstream/metadata:
    + Add file. Comply with DEP-12.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 27 Nov 2021 17:36:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: snapd-glib
 Section: libs
 Priority: optional
-Maintainer: Ayatana Packagers <pkg-ayatana-devel@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ayatana Packagers <pkg-ayatana-devel@alioth-lists.debian.net>
 Uploaders:
  Jeremy Bicha <jbicha@debian.org>,
  Mike Gabriel <sunweaver@debian.org>,
  Robert Ancell <robert.ancell@canonical.com>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
+               dh-translations,
                gobject-introspection,
                gtk-doc-tools (>= 1.20),
                libgirepository1.0-dev,
@@ -14,11 +16,11 @@
                libjson-glib-dev (>= 1.2),
                libsoup2.4-dev (>= 2.32),
                meson (>= 0.43.0),
-               pkg-kde-tools,
                qtbase5-dev,
                qtdeclarative5-dev,
                valac
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Homepage: https://github.com/snapcore/snapd-glib
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/snapd-glib.git
 Vcs-Browser: https://salsa.debian.org/debian-ayatana-team/snapd-glib
@@ -132,7 +134,7 @@
 
 Package: snapd-glib-tests
 Architecture: linux-any kfreebsd-any
-Multi-Arch: same
+Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Description: GLib snapd library (installed tests)

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with gir,translations

override_dh_auto_test:
	dh_auto_test --no-parallel

override_dh_install:
	mkdir -p debian/tmp/usr/share/doc/libsnapd-glib-dev/
	mv debian/tmp/usr/share/gtk-doc/html/snapd-glib debian/tmp/usr/share/doc/libsnapd-glib-dev/html
	dh_install

override_dh_makeshlibs:
	dh_makeshlibs -V -- -c4

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/tests/control ===
Tests: unit
Restrictions: allow-stderr
Depends: snapd-glib-tests, gnome-desktop-testing

## snapd-glib 1.63

=== debian/changelog ===
snapd-glib (1.63-5) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Build-Depend on dh-sequence-gir & dh-sequence-pkgkde-symbolshelper
  * Simplify debian/rules a bit

  [ Mike Gabriel ]
  * debian/tests/control:
    + Mark (only) autopkgtest 'unit' as flaky for now as suggested by
      Paul Gevery. (Closes: #1019707, #1018083).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 27 Jan 2023 20:50:10 +0100

snapd-glib (1.63-4) unstable; urgency=medium

  * Team upload
  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 08 Dec 2022 18:04:57 -0500

snapd-glib (1.63-3) experimental; urgency=medium

  [ Debian Janitor ]
  * debian/control:
    + Apply multi-arch hints.
    + qml-module-snapd: Add Multi-Arch: same.

  [ Mike Gabriel ]
  * debian/libsnapd-qt-2-1.symbols:
    + Update .symbols file for more architectures.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 08 Dec 2022 21:47:10 +0100

snapd-glib (1.63-2) experimental; urgency=medium

  * debian/libsnapd-qt-2-1.symbols:
    + Update for armel, armhf, i386, mips64el, powerpc, ppc64, ppc64el, riscv64
      and s390x.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 25 Sep 2022 23:14:47 +0200

snapd-glib (1.63-1) experimental; urgency=medium

  * Upload to experimental.

  [ Jeremy Bicha ]
  * New upstream release.
  * Build with libsoup3.
  * Update libraries for soname bump.

  [ Mike Gabriel ]
  * debian/watch:
    + Adjust for changed URLs over at Github.
  * debian/*.symbols:
    + Update .symbols for 1.63.
  * debian/control:
    + Bump Standards-Version: to 4.6.1. No changes needed.
  * debian/copyright:
    + Update copyright attributions for debian/*.

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 22 Sep 2022 22:41:17 +0200

snapd-glib (1.60-1) unstable; urgency=medium

  * New upstream release.
  * debian/*.symbols:
    + Update .symbols files.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 23 Apr 2022 00:54:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,31 @@
 Source: snapd-glib
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ayatana Packagers <pkg-ayatana-devel@alioth-lists.debian.net>
+Maintainer: Ayatana Packagers <pkg-ayatana-devel@alioth-lists.debian.net>
 Uploaders:
  Jeremy Bicha <jbicha@debian.org>,
  Mike Gabriel <sunweaver@debian.org>,
  Robert Ancell <robert.ancell@canonical.com>
 Build-Depends: debhelper-compat (= 13),
-               dh-translations,
-               gobject-introspection,
+               dh-sequence-gir,
+               dh-sequence-pkgkde-symbolshelper,
                gtk-doc-tools (>= 1.20),
                libgirepository1.0-dev,
                libglib2.0-dev (>= 2.46),
                libjson-glib-dev (>= 1.2),
-               libsoup2.4-dev (>= 2.32),
+               libsoup-3.0-dev,
                meson (>= 0.43.0),
+               pkg-kde-tools,
                qtbase5-dev,
                qtdeclarative5-dev,
                valac
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/snapcore/snapd-glib
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/snapd-glib.git
 Vcs-Browser: https://salsa.debian.org/debian-ayatana-team/snapd-glib
 
-Package: libsnapd-glib1
+Package: libsnapd-glib-2-1
 Architecture: linux-any kfreebsd-any
 Multi-Arch: same
 Depends: ${misc:Depends},
@@ -39,13 +39,13 @@
  systems, enabling secure distribution of the latest apps and utilities
  for cloud, servers, desktops and the internet of things.
 
-Package: gir1.2-snapd-1
+Package: gir1.2-snapd-2
 Section: introspection
 Architecture: linux-any kfreebsd-any
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${gir:Depends},
-         libsnapd-glib1 (= ${binary:Version})
+         libsnapd-glib-2-1 (= ${binary:Version})
 Description: Typelib file for libsnapd-glib1
  snapd-glib is a library to allow GLib based applications access to snapd,
  the daemon that controls Snaps.
@@ -64,10 +64,10 @@
 Architecture: linux-any kfreebsd-any
 Multi-Arch: same
 Depends: ${misc:Depends},
-         libsnapd-glib1 (= ${binary:Version}),
-         gir1.2-snapd-1 (= ${binary:Version}),
+         libsnapd-glib-2-1 (= ${binary:Version}),
+         gir1.2-snapd-2 (= ${binary:Version}),
          libglib2.0-dev,
-         libsoup2.4-dev,
+         libsoup-3.0-dev,
          libjson-glib-dev
 Description: GLib snapd library (development files)
  snapd-glib is a library to allow GLib based applications access to snapd,
@@ -80,7 +80,7 @@
  This package contains header files and development information, which
  is useful for building applications that need to communicate with snapd.
 
-Package: libsnapd-qt1
+Package: libsnapd-qt-2-1
 Architecture: linux-any kfreebsd-any
 Multi-Arch: same
 Depends: ${misc:Depends},
@@ -101,6 +101,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
 Suggests: snapd
+Multi-Arch: same
 Description: Snapd QML module
  snapd-glib is a library to allow GLib based applications access to snapd,
  the daemon that controls Snaps.
@@ -116,7 +117,7 @@
 Architecture: linux-any kfreebsd-any
 Multi-Arch: same
 Depends: ${misc:Depends},
-         libsnapd-qt1 (= ${binary:Version}),
+         libsnapd-qt-2-1 (= ${binary:Version}),
          qtbase5-dev,
 Breaks: libsnapd-glib-dev (<< 1.46)
 Replaces: libsnapd-glib-dev (<< 1.46)

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@

override_dh_auto_test:
	dh_auto_test --no-parallel

execute_before_dh_install:
	mkdir -p debian/tmp/usr/share/doc/libsnapd-glib-dev/
	mv debian/tmp/usr/share/gtk-doc/html/snapd-glib debian/tmp/usr/share/doc/libsnapd-glib-dev/html

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

## snapd-glib 1.64

=== meson_options.txt ===
--- 
+++ 
@@ -13,3 +13,6 @@
 option('qml-bindings',
        type: 'boolean', value: true,
        description: 'Build the QML bindings (requires the Qt bindings)')
+option('soup2',
+       type: 'boolean', value: false,
+       description: 'Whether to build with libsoup2')

=== debian/changelog ===
snapd-glib (1.64-1) unstable; urgency=medium

  * New upstream release.
  * debian/libsnapd-qt-2-1.symbols:
    + Drop file. Resolve various issues with C++ symbols and API derivations
      related to 3rd party code / compiler changes. (Closes: #1064650, #1067380,
      #1015665).
  * debian/libsnapd-glib-2-1.symbols:
    + Update symbols.
  * debian/copyright:
    + Update copyright attribution for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 25 Mar 2024 14:39:15 +0100

snapd-glib (1.63-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update libsnapd-qt-2-1.symbols to support riscv64. (Closes: #1052429)

 -- Bo YU <tsu.yubo@gmail.com>  Mon, 08 Jan 2024 16:11:01 +0800

=== debian/tests/control ===
Tests: unit
Restrictions: allow-stderr, flaky
Depends: snapd-glib-tests, gnome-desktop-testing

## snapd-glib 1.65

=== debian/changelog ===
snapd-glib (1.65-0ubuntu3) plucky; urgency=medium

  * Rebuild against Qt 6.7.2

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Oct 2024 10:42:42 +0000

snapd-glib (1.65-0ubuntu2) oracular; urgency=medium

  * debian/patches: Apply upstream_fix-build-in-armhf.patch to fix tests
    on armhf. (LP: #2077200)
  * debian/rules: Make build time tests fatal again.

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Sep 2024 11:42:29 +0100

snapd-glib (1.65-0ubuntu1) oracular; urgency=medium

  [ Simon Quigley ]
  * New upstream release.

  [ Rik Mills ]
  * Add upstream_install-notice-header.patch to fix plasma-discover
    FTBFS.
  * Do not build for Qt6 on i386, as build dependencies are not available.
  * Make build time tests non fatal for now:
    https://github.com/canonical/snapd-glib/issues/162

 -- Rik Mills <rikmills@kde.org>  Sun, 07 Jul 2024 06:29:35 +0100

snapd-glib (1.64-1ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - debian/tests/control: Unmark unit test as flaky
  * Dropped changes, no longer needed:
    - debian/libsnapd-qt1.symbols: Use C++ symbol names.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 06 Jun 2024 14:39:16 -0700

snapd-glib (1.64-0ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:23:03 +0000

snapd-glib (1.64-0ubuntu4) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:08:58 +0000

snapd-glib (1.64-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:59:07 +0000

snapd-glib (1.64-0ubuntu2) mantic; urgency=medium

  * Update symbols files

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 13 Jul 2023 16:23:38 -0400

snapd-glib (1.64-0ubuntu1) mantic; urgency=medium

  * Sync with Debian. Remaining changes:
    + debian/libsnapd-qt1.symbols:
      - Use C++ symbol names.
  * debian/tests/control: Unmark unit test as flaky
  * New upstream release compatible with glib 2.77.0
  * Update symbols files

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 13 Jul 2023 15:42:17 -0400

snapd-glib (1.63-4ubuntu1) lunar; urgency=medium

  * Merge with Debian, remaining Ubuntu changes:
    + Build-Depend on dh-sequence-translations instead of kde-symbolshelper
    + debian/libsnapd-qt1.symbols:
      - Use C++ symbol names.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 15 Dec 2022 09:40:26 -0500

snapd-glib (1.63-0ubuntu1) kinetic; urgency=medium

  * New upstream release
  * Build with libsoup3
  * Update libraries for soname bump
  * debian/libsnapd-qt-2-1.symbols: Add new symbols
  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 24 Aug 2022 08:03:42 -0400

## snapd-glib 1.66

=== meson_options.txt ===
--- 
+++ 
@@ -7,12 +7,23 @@
 option('vala-bindings',
        type: 'boolean', value: true,
        description: 'Build the Vala bindings (requires introspection)')
-option('qt-bindings',
-       type: 'boolean', value: true,
-       description: 'Build the Qt bindings')
+option('qt5',
+       type : 'boolean',
+       value : false,
+       description: 'Build the Qt5 bindings')
+option('qt6',
+       type : 'boolean',
+       value : true,
+       description: 'Build the Qt6 bindings')
 option('qml-bindings',
        type: 'boolean', value: true,
        description: 'Build the QML bindings (requires the Qt bindings)')
 option('soup2',
        type: 'boolean', value: false,
        description: 'Whether to build with libsoup2')
+option('examples',
+       type: 'boolean', value: true,
+       description: 'Whether to build the examples')
+option('tests',
+       type: 'boolean', value: true,
+       description: 'Whether to build the tests')

=== debian/changelog ===
snapd-glib (1.66-0ubuntu1) plucky; urgency=medium

  * New upstream release (1.66)
  * Drop no longer required upstream patches.
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sun, 26 Jan 2025 13:39:01 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: snapd-glib
 Section: libs
 Priority: optional
-Maintainer: Ayatana Packagers <pkg-ayatana-devel@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ayatana Packagers <pkg-ayatana-devel@alioth-lists.debian.net>
 Uploaders:
  Jeremy Bicha <jbicha@debian.org>,
  Mike Gabriel <sunweaver@debian.org>,
@@ -16,8 +17,8 @@
                libsoup-3.0-dev,
                meson (>= 0.43.0),
                pkg-kde-tools,
-               qtbase5-dev,
-               qtdeclarative5-dev,
+               qt6-base-dev [!i386],
+               qt6-declarative-dev [!i386],
                valac
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
@@ -81,7 +82,7 @@
  is useful for building applications that need to communicate with snapd.
 
 Package: libsnapd-qt-2-1
-Architecture: linux-any kfreebsd-any
+Architecture: amd64 arm64 armhf ppc64el riscv64 s390x
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends}
@@ -97,7 +98,7 @@
  snapd-qt is a wrapper library for snapd-glib for Qt applications.
 
 Package: qml-module-snapd
-Architecture: linux-any kfreebsd-any
+Architecture: amd64 arm64 armhf ppc64el riscv64 s390x
 Depends: ${misc:Depends},
          ${shlibs:Depends},
 Suggests: snapd
@@ -114,7 +115,7 @@
 
 Package: libsnapd-qt-dev
 Section: libdevel
-Architecture: linux-any kfreebsd-any
+Architecture: amd64 arm64 armhf ppc64el riscv64 s390x
 Multi-Arch: same
 Depends: ${misc:Depends},
          libsnapd-qt-2-1 (= ${binary:Version}),

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,23 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
 
+# limit the build on qt6 to arches
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+#ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armhf ppc64el riscv64 s390x))
+#        meson_opts += -Dqt6=true -Dqml-bindings=true
+#else
+#        meson_opts += -Dqt6=false -Dqml-bindings=false
+#endif
+
+ifneq (,$(filter $(DEB_HOST_ARCH), i386))
+        meson_opts += -Dqt6=false -Dqml-bindings=false
+endif
+
 %:
 	dh $@
+
+override_dh_auto_configure:
+	dh_auto_configure -- $(meson_opts)
 
 override_dh_auto_test:
 	dh_auto_test --no-parallel
